module.exports = function(server) {
	return function(request, response) {
		//request trigger
		server.trigger('request-end', request, response);
		
		//if response isn't processing
		if(!response.processing && typeof response.message === 'undefined') {
			response.message = '';
			response.state = 404;
			server.trigger('response', request, response);
		}
	};
};